local create_job_name=NarrativeTweakData.create_job_name
function NarrativeTweakData:create_job_name(job_id, ...)
	local text_string, color_ranges=create_job_name(self, job_id, ...)
	local job_heat_mul=managers.job:heat_to_experience_multiplier(
		managers.job:get_job_heat(job_id) or 0
		)*20-20
	if job_heat_mul~=0 then
		local prev_len=utf8.len(text_string)
		text_string=text_string.." "..(
			job_heat_mul>0 and ("+"):rep(math.ceil(job_heat_mul)) or ("-"):rep(-math.floor(job_heat_mul))
			)
		table.insert(color_ranges, {
			start=prev_len,
			stop=utf8.len(text_string),
			color=managers.job:get_job_heat_color(job_id)
			})
		end
	return text_string, color_ranges
	end